suggest adding the bash's completion to zsh automatically #1852

Closed
parkdragon opened this Issue May 28, 2013 · 2 comments

Comments

Projects
None yet
3 participants
I strongly suggest adding the bash's completion to zsh automatically.
Someday, I was installing crosstool-ng. And after "make install", it recommend me to add its auto completion file to /etc/bash_completion.d. I did it, and found that it was so convenience for me to autocomplete its parameters. But I, later, turned into zsh, and found it totally did not work as in the bash.
Collaborator

mcornella commented Apr 5, 2014

I don't understand what you're referring to. You are suggesting adding bash completion files to oh-my-zsh? If that's what you meant, bash and zsh have incompatible completion files; if you instead want to have autocompletion for crosstool-ng that's a different story.

Collaborator

mcornella commented Apr 20, 2014

@parkdragon is this still relevant? Here's a resource explaining how to read bash completion from zsh: http://bit.ly/1gsB9QZ

@mcornella mcornella added a commit to mcornella/oh-my-zsh that referenced this issue May 15, 2014

@mcornella mcornella Close issues that are no longer needed
This is an empty commit to close issues and pull requests that were
opened some time ago and which the evolution of the repository have
made obsolete. The reason for closing is written next to the issue
to be closed.

If one of these issues or pull-requests is yours and you think it was
wrongly closed, just mention me in the issue with one of the comments
and I'll be available to discuss it.

 ### Obsolete PRs

Close #1095: already in the codebase.
Close #1816: git pull rebase is destructive.
Close #1962: LOL (no comment needed).
Close #1986: obsolete by recent changes to sublime text plugin.
Close #2205: agnoster theme already updated with new powerline fonts.
Close #2269: whole plugin for just one alias is not good.
Close #2300: agnoster theme already updated. Also, deletes important stuff.
Close #2689: chsh doesn't require root and shouldn't do by default.

 ### Solved or obsolete issues:

Close #1590: bug doesn't appear anymore (history related).
Close #1628: customization info already told. 'Helpdesk' issue.
Close #1852: weird description, non-responsive author. Also, zsh can already
read bash-completion scripts: http://bit.ly/1gsB9QZ.
Close #1896: fixed issue.
Close #2024: issue related to closed BFS (Big-Fat-Scary) PR #2025.
Close #2188: fixed issue.
Close #2213: non-responsive author.
Close #2216: wrong site to ask (python/pip support).
Close #2235: non-responsive author, issue not related to oh-my-zsh.
Close #2264: font issues are not oh-my-zsh related.
Close #2267: solved issue.
Close #2279: solved issue.
Close #2293: old issue (solved?).
Close #2294: solved (one) issue, non-responsive author.
Close #2336: git requirement is now explicited if git is not found.
Close #2513: duplicate issue of a PR to be checked.

 ### Pending themes

Themes are not accepted for now.

Close #1069, close #2348, close #2742.
eac28e1

@mcornella mcornella added a commit to mcornella/oh-my-zsh that referenced this issue May 17, 2014

@mcornella mcornella Close issues that are no longer needed
This is an empty commit to close issues and pull requests that were
opened some time ago and which the evolution of the repository have
made obsolete. The reason for closing is written next to the issue
to be closed.

If one of these issues or pull-requests is yours and you think it was
wrongly closed, just mention me in the issue with one of the comments
and I'll be available to discuss it.

 ### Obsolete PRs

Close #1095: already in the codebase.
Close #1816: git pull rebase is destructive.
Close #1962: LOL (no comment needed).
Close #1986: obsolete by recent changes to sublime text plugin.
Close #2205: agnoster theme already updated with new powerline fonts.
Close #2269: whole plugin for just one alias is not good.
Close #2300: agnoster theme already updated. Also, deletes important stuff.
Close #2429: fixes auto-title escaping. Already in the codebase.
Close #2689: chsh doesn't require root and shouldn't do by default.

 ### Solved or obsolete issues:

Close #1590: bug doesn't appear anymore (history related).
Close #1628: customization info already told. 'Helpdesk' issue.
Close #1852: weird description, non-responsive author. Also, zsh can already
read bash-completion scripts: http://bit.ly/1gsB9QZ.
Close #1896: fixed issue.
Close #2024: issue related to closed BFS (Big-Fat-Scary) PR #2025.
Close #2188: fixed issue.
Close #2213: non-responsive author.
Close #2216: wrong site to ask (python/pip support).
Close #2235: non-responsive author, issue not related to oh-my-zsh.
Close #2264: font issues are not oh-my-zsh related.
Close #2267: solved issue.
Close #2279: solved issue.
Close #2293: old issue (solved?).
Close #2294: solved (one) issue, non-responsive author.
Close #2336: git requirement is now explicited if git is not found.
Close #2513: duplicate issue of a PR to be checked.
Close #2632: solved issue.

 ### Pending themes

Themes are not accepted for now.

Close #1069, close #2348, close #2742.
5dbc668
Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment